<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLESFBOManager.html">GLESFBOManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::GLESFBOManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#ae73abcef99c3e3f9d4f3a944331ef475">_tryFormat</a>(GLenum depthFormat, GLenum stencilFormat)</td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#a6b131d5f7d7b3541cbb21ba7019aae54">_tryPackedFormat</a>(GLenum packedFormat)</td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#a79013dcd19528b1fd2578a3a13ca67e0">bind</a>(RenderTarget *target)</td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#a775f2041419c2f1f2618b23b5bad65b2">checkFormat</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#a7833eba77b3f264121ae65ad556bb342">createMultiRenderTarget</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#a1d4e959cc35481c44e9b35f35be75739">createRenderTexture</a>(const String &amp;name, const GLESSurfaceDesc &amp;target, bool writeGamma, uint fsaa)</td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#a37e6661e7a0f0b49bd882b16eb2ab4a1">detectFBOFormats</a>()</td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#a086e0d6ede40f070f9d9aea7acca5334">getBestDepthStencil</a>(GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)</td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GLESRTTManager &gt;</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GLESRTTManager &gt;</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESRTTManager.html#a234ef8eb7ace1a68c881025fd3139a7e">getSupportedAlternative</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1GLESRTTManager.html">Ogre::GLESRTTManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#aaf42836411acb3e6159f70cd6f80f91d">getTemporaryFBO</a>()</td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#ae41aee6944e97455a077713a24f03037">GLESFBOManager</a>()</td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#a71b4f22afad9128a52f8fcbb8000f3d2">mProps</a></td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#a988cf088ed63106c97f3fd397e7901cd">mRenderBufferMap</a></td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GLESRTTManager &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#afd1e91111f7c4d82eab5b23020459fdb">mTempFBO</a></td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#aabe2ad400ba69ba4ed733b21b555534c">releaseRenderBuffer</a>(const GLESSurfaceDesc &amp;surface)</td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#a03b90bad810db1ea76fa3ad0612f2a09">RenderBufferMap</a> typedef</td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#aff6a95afde970ef36e0a321dea831a70">requestRenderBuffer</a>(GLenum format, size_t width, size_t height, uint fsaa)</td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#a2f6286a048f06f1acf00d275432dd161">requestRenderBuffer</a>(const GLESSurfaceDesc &amp;surface)</td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GLESRTTManager &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#a55c2f009d7fb30c411df746ab622e2de">unbind</a>(RenderTarget *target)</td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESFBOManager.html#ad997f466b1eed5c4f8d93ee7bca0ef54">~GLESFBOManager</a>()</td><td><a class="el" href="classOgre_1_1GLESFBOManager.html">Ogre::GLESFBOManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESRTTManager.html#a96a44ed083678a1e27d5dfe7a5e0bfc6">~GLESRTTManager</a>()</td><td><a class="el" href="classOgre_1_1GLESRTTManager.html">Ogre::GLESRTTManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GLESRTTManager &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:24
</p>
</body>
</html>
